	application:setFps(30)
	application:setOrientation("landscapeLeft")
	application:setScaleMode("noScale")
	application:setBackgroundColor(0x000000)
	application:setKeepAwake(true)
	fps = TextField.new(nil, "tap once after avr.fps is displayed!")	
	fps:setTextColor(0xFFFFFF)
	fps:setPosition(100,620)
	fps:setScale(4)
	
	load = 30 -- Total number of movie clips on screen will be 20*load
	
Radar = gideros.class(Sprite)
local math_random=math.random
local math_floor=math.floor
function Radar:init()
	local radar_bmp = Bitmap.new(Texture.new("big_antenna.png",true))
	radar_bmp:setAnchorPoint(0.5,0.5 )
	local t =math_random(100,200)
	self.radar=MovieClip.new{{1, t, radar_bmp,{rotation={0,360,"linear"}}}}
	self.radar:setGotoAction(t,2)
	self:addChild(self.radar)
end
radars={}	
	for i=1,20*load,30 do
		for j=1,30 do
			radars[i+j]=Radar.new()
			radars[i+j]:setPosition(j*50,i*2+100)
			stage:addChild(radars[i+j])
		end
	end
	cpuGraph=Shape.new()
	cpuGraph:setLineStyle(2,0xFFFFFF)
	cpuGraph:beginPath()
	cpuGraph:moveTo(0,320)
function mouseDown(e)
	cpuGraph:endPath()
	stage:addChild(cpuGraph)
end
 cnt=0
 cfp=0
local function displayFps(e)	
	if e.deltaTime>0 then
		if cnt <480 then
			cnt=cnt+1
			cfp=cfp+e.deltaTime
			cpuGraph:lineTo(cnt*2,640-20/e.deltaTime)
		else
			fps:setText("avr.fps:"..(480/cfp))
		end
	end
end
stage:addEventListener(Event.MOUSE_DOWN,mouseDown)
stage:addEventListener(Event.ENTER_FRAME,displayFps) 
stage:addChild(fps)
